Closed Bug 535887 Opened 10 years ago Closed 10 years ago

leak test build: intermittent "ASSERTION: This is unsafe!: 'Error', file .../nsEventDispatcher.cpp, line 486"

Categories

(Core :: Plug-ins, defect, major)

defect
Not set
major

Tracking

()

RESOLVED FIXED
Tracking Status
blocking2.0 --- -

People

(Reporter: dholbert, Assigned: smaug)

References

Details

(Keywords: crash, intermittent-failure, Whiteboard: [test which aborts the suite])

Attachments

(1 file)

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1261169752.1261176196.9714.gz
OS X 10.5.2 mozilla-central leak test build on 2009/12/18 12:55:52
s: moz2-darwin9-slave19

{
[loaded plugin /builds/slave/mozilla-central-macosx-debug/build/obj-firefox/dist/MinefieldDebug.app/Contents/MacOS/plugins/Test.plugin]
[loaded plugin /builds/slave/mozilla-central-macosx-debug/build/obj-firefox/modules/plugin/default/mac/build/Debug/DefaultPlugin.plugin]
WARNING: Preventing load of VerifiedDownloadPlugin.plugin (see bug 436575): file /builds/slave/mozilla-central-macosx-debug/build/modules/plugin/base/src/nsPluginsDirDarwin.cpp, line 139
[loaded plugin /Library/Internet Plug-Ins/Flash Player.plugin]
[loaded plugin /Library/Internet Plug-Ins/QuickTime Plugin.plugin]
++DOMWINDOW == 15 (0x9884420) [serial = 15] [outer = 0xecbd060]
###!!! ASSERTION: This is unsafe!: 'Error', file /builds/slave/mozilla-central-macosx-debug/build/content/events/src/nsEventDispatcher.cpp, line 485
nsEventDispatcher::Dispatch(nsISupports*, nsPresContext*, nsEvent*, nsIDOMEvent*, nsEventStatus*, nsDispatchingCallback*, nsCOMArray<nsPIDOMEventTarget>*) (respcmn.c:43)
nsEventDispatcher::DispatchDOMEvent(nsISupports*, nsEvent*, nsIDOMEvent*, nsPresContext*, nsEventStatus*) (respcmn.c:43)
nsEventListenerManager::DispatchEvent(nsIDOMEvent*, int*) (respcmn.c:43)
nsDOMEventRTTearoff::DispatchEvent(nsIDOMEvent*, int*) (respcmn.c:43)
_ZL31nsIDOMEventTarget_DispatchEventP9JSContextjPl (respcmn.c:43)
js_Interpret (/builds/slave/mozilla-central-macosx-debug/build/obj-firefox/js/src/jsautokw.h:)
js_Invoke (/builds/slave/mozilla-central-macosx-debug/build/obj-firefox/js/src/jsautokw.h:)
js_InternalInvoke (/builds/slave/mozilla-central-macosx-debug/build/obj-firefox/js/src/jsautokw.h:)
js_InternalGetOrSet (/builds/slave/mozilla-central-macosx-debug/build/obj-firefox/js/src/jsautokw.h:)
JSScopeProperty::set(JSContext*, JSObject*, long*) (/builds/slave/mozilla-central-macosx-debug/build/obj-firefox/js/src/jsautokw.h:)
js_NativeSet (/builds/slave/mozilla-central-macosx-debug/build/obj-firefox/js/src/jsautokw.h:)
js_Interpret (/builds/slave/mozilla-central-macosx-debug/build/obj-firefox/js/src/jsautokw.h:)
js_Invoke (/builds/slave/mozilla-central-macosx-debug/build/obj-firefox/js/src/jsautokw.h:)
nsXPCWrappedJSClass::CallMethod(nsXPCWrappedJS*, unsigned short, XPTMethodDescriptor const*, nsXPTCMiniVariant*) (respcmn.c:43)
nsXPCWrappedJS::CallMethod(unsigned short, XPTMethodDescriptor const*, nsXPTCMiniVariant*) (respcmn.c:43)
_ZL18PrepareAndDispatchP14nsXPTCStubBasejPj (/var/folders/TL/TLg3RrMbFAur2hBCXvCeqk+++TM/-Tmp-//ccGl33bl.s:256)
nsXPTCStubBase::Stub4() (/var/folders/TL/TLg3RrMbFAur2hBCXvCeqk+++TM/-Tmp-//ccGl33bl.s:256)
nsBrowserStatusFilter::MaybeSendProgress() (/var/folders/TL/TLg3RrMbFAur2hBCXvCeqk+++TM/-Tmp-//ccGl33bl.s:256)
nsBrowserStatusFilter::OnProgressChange(nsIWebProgress*, nsIRequest*, int, int, int, int) (/var/folders/TL/TLg3RrMbFAur2hBCXvCeqk+++TM/-Tmp-//ccGl33bl.s:256)
nsBrowserStatusFilter::OnStateChange(nsIWebProgress*, nsIRequest*, unsigned int, unsigned int) (/var/folders/TL/TLg3RrMbFAur2hBCXvCeqk+++TM/-Tmp-//ccGl33bl.s:256)
nsDocLoader::FireOnStateChange(nsIWebProgress*, nsIRequest*, int, unsigned int) (respcmn.c:43)
nsDocLoader::doStopURLLoad(nsIRequest*, unsigned int) (respcmn.c:43)
nsDocLoader::OnStopRequest(nsIRequest*, nsISupports*, unsigned int) (respcmn.c:43)
nsLoadGroup::RemoveRequest(nsIRequest*, nsISupports*, unsigned int) (respcmn.c:43)
imgRequestProxy::RemoveFromLoadGroup(int) (respcmn.c:43)
imgRequestProxy::OnStopRequest(nsIRequest*, nsISupports*, unsigned int, int) (respcmn.c:43)
imgRequest::NotifyProxyListener(imgRequestProxy*) (respcmn.c:43)
imgLoader::LoadImage(nsIURI*, nsIURI*, nsIURI*, nsILoadGroup*, imgIDecoderObserver*, nsISupports*, unsigned int, nsISupports*, imgIRequest*, imgIRequest**) (respcmn.c:43)
nsContentUtils::LoadImage(nsIURI*, nsIDocument*, nsIPrincipal*, nsIURI*, imgIDecoderObserver*, int, imgIRequest**) (respcmn.c:43)
nsCSSValue::Image::Image(nsIURI*, nsStringBuffer*, nsIURI*, nsIPrincipal*, nsIDocument*) (respcmn.c:43)
nsCSSValue::StartImageLoad(nsIDocument*) const (respcmn.c:43)
_ZL26TryToStartImageLoadOnValueRK10nsCSSValueP11nsIDocument (respcmn.c:43)
_ZL19TryToStartImageLoadRK10nsCSSValueP11nsIDocument13nsCSSProperty (respcmn.c:43)
nsCSSCompressedDataBlock::MapRuleInfoInto(nsRuleData*) const (respcmn.c:43)
CSSStyleRuleImpl::MapRuleInfoInto(nsRuleData*) (respcmn.c:43)
nsRuleNode::WalkRuleTree(nsStyleStructID, nsStyleContext*, nsRuleData*, nsCSSStruct*) (respcmn.c:43)
nsRuleNode::GetBackgroundData(nsStyleContext*) (respcmn.c:43)
nsRuleNode::GetStyleBackground(nsStyleContext*, int) (respcmn.c:43)
nsStyleContext::GetStyleBackground() (respcmn.c:43)
nsCSSFrameConstructor::ConstructFramesFromItem(nsFrameConstructorState&, nsCSSFrameConstructor::FrameConstructionItemList::Iterator&, nsIFrame*, nsFrameItems&) (respcmn.c:43)
nsCSSFrameConstructor::ConstructFramesFromItemList(nsFrameConstructorState&, nsCSSFrameConstructor::FrameConstructionItemList&, nsIFrame*, nsFrameItems&) (respcmn.c:43)
nsCSSFrameConstructor::ContentInserted(nsIContent*, nsIContent*, int, nsILayoutHistoryState*) (respcmn.c:43)
PresShell::ContentInserted(nsIDocument*, nsIContent*, nsIContent*, int) (respcmn.c:43)
nsNodeUtils::ContentInserted(nsINode*, nsIContent*, int) (respcmn.c:43)
nsGenericElement::doReplaceOrInsertBefore(int, nsIDOMNode*, nsIDOMNode*, nsIContent*, nsIDocument*, nsIDOMNode**) (respcmn.c:43)
nsGenericElement::InsertBefore(nsIDOMNode*, nsIDOMNode*, nsIDOMNode**) (respcmn.c:43)
nsHTMLDivElement::InsertBefore(nsIDOMNode*, nsIDOMNode*, nsIDOMNode**) (respcmn.c:43)
_ZL23nsIDOMNode_InsertBeforeP9JSContextjPl (respcmn.c:43)
js_Interpret (/builds/slave/mozilla-central-macosx-debug/build/obj-firefox/js/src/jsautokw.h:)
js_Invoke (/builds/slave/mozilla-central-macosx-debug/build/obj-firefox/js/src/jsautokw.h:)
js_fun_call (/builds/slave/mozilla-central-macosx-debug/build/obj-firefox/js/src/jsautokw.h:)
js_Interpret (/builds/slave/mozilla-central-macosx-debug/build/obj-firefox/js/src/jsautokw.h:)
js_Invoke (/builds/slave/mozilla-central-macosx-debug/build/obj-firefox/js/src/jsautokw.h:)
js_fun_apply (/builds/slave/mozilla-central-macosx-debug/build/obj-firefox/js/src/jsautokw.h:)
js_Interpret (/builds/slave/mozilla-central-macosx-debug/build/obj-firefox/js/src/jsautokw.h:)
js_Invoke (/builds/slave/mozilla-central-macosx-debug/build/obj-firefox/js/src/jsautokw.h:)
js_fun_call (/builds/slave/mozilla-central-macosx-debug/build/obj-firefox/js/src/jsautokw.h:)
js_Interpret (/builds/slave/mozilla-central-macosx-debug/build/obj-firefox/js/src/jsautokw.h:)
js_Invoke (/builds/slave/mozilla-central-macosx-debug/build/obj-firefox/js/src/jsautokw.h:)
js_fun_call (/builds/slave/mozilla-central-macosx-debug/build/obj-firefox/js/src/jsautokw.h:)
js_Interpret (/builds/slave/mozilla-central-macosx-debug/build/obj-firefox/js/src/jsautokw.h:)
js_Invoke (/builds/slave/mozilla-central-macosx-debug/build/obj-firefox/js/src/jsautokw.h:)
js_fun_call (/builds/slave/mozilla-central-macosx-debug/build/obj-firefox/js/src/jsautokw.h:)
js_Interpret (/builds/slave/mozilla-central-macosx-debug/build/obj-firefox/js/src/jsautokw.h:)
js_Invoke (/builds/slave/mozilla-central-macosx-debug/build/obj-firefox/js/src/jsautokw.h:)
nsXPCWrappedJSClass::CallMethod(nsXPCWrappedJS*, unsigned short, XPTMethodDescriptor const*, nsXPTCMiniVariant*) (respcmn.c:43)
nsXPCWrappedJS::CallMethod(unsigned short, XPTMethodDescriptor const*, nsXPTCMiniVariant*) (respcmn.c:43)
_ZL18PrepareAndDispatchP14nsXPTCStubBasejPj (/var/folders/TL/TLg3RrMbFAur2hBCXvCeqk+++TM/-Tmp-//ccGl33bl.s:256)
nsXPTCStubBase::Stub3() (/var/folders/TL/TLg3RrMbFAur2hBCXvCeqk+++TM/-Tmp-//ccGl33bl.s:256)
nsEventListenerManager::HandleEventSubType(nsListenerStruct*, nsIDOMEventListener*, nsIDOMEvent*, nsPIDOMEventTarget*, unsigned int, nsCxPusher*) (respcmn.c:43)
nsEventListenerManager::HandleEvent(nsPresContext*, nsEvent*, nsIDOMEvent**, nsPIDOMEventTarget*, unsigned int, nsEventStatus*, nsCxPusher*) (respcmn.c:43)
nsEventTargetChainItem::HandleEvent(nsEventChainPostVisitor&, unsigned int, int, nsCxPusher*) (respcmn.c:43)
nsEventTargetChainItem::HandleEventTargetChain(nsEventChainPostVisitor&, unsigned int, nsDispatchingCallback*, int, nsCxPusher*) (respcmn.c:43)
nsEventDispatcher::Dispatch(nsISupports*, nsPresContext*, nsEvent*, nsIDOMEvent*, nsEventStatus*, nsDispatchingCallback*, nsCOMArray<nsPIDOMEventTarget>*) (respcmn.c:43)
nsEventDispatcher::DispatchDOMEvent(nsISupports*, nsEvent*, nsIDOMEvent*, nsPresContext*, nsEventStatus*) (respcmn.c:43)
nsDocument::DispatchEvent(nsIDOMEvent*, int*) (respcmn.c:43)
nsContentUtils::DispatchTrustedEvent(nsIDocument*, nsISupports*, nsAString_internal const&, int, int, int*) (respcmn.c:43)
nsDocument::DispatchContentLoadedEvents() (respcmn.c:43)
nsRunnableMethod<nsDocument, void>::Run() (respcmn.c:43)
nsThread::ProcessNextEvent(int, int*) (/var/folders/TL/TLg3RrMbFAur2hBCXvCeqk+++TM/-Tmp-//ccGl33bl.s:256)
NS_ProcessPendingEvents_P(nsIThread*, unsigned int) (/var/folders/TL/TLg3RrMbFAur2hBCXvCeqk+++TM/-Tmp-//ccGl33bl.s:256)
nsBaseAppShell::NativeEventCallback() (/var/folders/TL/TLg3RrMbFAur2hBCXvCeqk+++TM/-Tmp-//ccGl33bl.s:256)
nsAppShell::ProcessGeckoEvents(void*) (/var/folders/TL/TLg3RrMbFAur2hBCXvCeqk+++TM/-Tmp-//ccGl33bl.s:256)
CFRunLoopRunSpecific (/System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation)
CFRunLoopRunInMode (/System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation)
RunCurrentEventLoopInMode (/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox)
ReceiveNextEventCommon (/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox)
BlockUntilNextEventMatchingListInMode (/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox)
_DPSNextEvent (/System/Library/Frameworks/AppKit.framework/Versions/C/AppKit)
-[NSApplication nextEventMatchingMask:untilDate:inMode:dequeue:] (/System/Library/Frameworks/AppKit.framework/Versions/C/AppKit)
-[NSApplication run] (/System/Library/Frameworks/AppKit.framework/Versions/C/AppKit)
nsAppShell::Run() (/var/folders/TL/TLg3RrMbFAur2hBCXvCeqk+++TM/-Tmp-//ccGl33bl.s:256)
nsAppStartup::Run() (respcmn.c:43)
XRE_main (respcmn.c:43)
main (/builds/slave/mozilla-central-macosx-debug/build/xpcom/glue/nsComponentManagerUtils.cpp:)
start (/builds/slave/mozilla-central-macosx-debug/build/xpcom/glue/nsComponentManagerUtils.cpp:)
TEST-UNEXPECTED-FAIL | automation.py | application timed out after 60 seconds with no output
Can't trigger Breakpad, just killing process
INFO | automation.py | Application ran for: 0:03:09.847886
INFO | automation.py | Reading PID log: /var/folders/TL/TLg3RrMbFAur2hBCXvCeqk+++TM/-Tmp-/tmp09U-ozpidlog
program finished with exit code 250
elapsedTime=190.604066
}

Tentatively filing in Plugins, since the last thing mentioned in the log before the crash is that some plugins were loaded.
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1262753668.1262759884.4115.gz
OS X 10.5.2 mozilla-central leak test build on 2010/01/05 20:54:28
s: moz2-darwin9-slave06
{
[loaded plugin /Library/Internet Plug-Ins/QuickTime Plugin.plugin]
--DOMWINDOW == 13 (0xf215670) [serial = 10] [outer = 0xefaca80] [url = about:blank]
--DOMWINDOW == 12 (0xf2caee0) [serial = 13] [outer = 0xf2c1920] [url = about:blank]
++DOMWINDOW == 13 (0x101f3fe0) [serial = 15] [outer = 0xf2c1920]
###!!! ASSERTION: This is unsafe!: 'Error', file /builds/slave/mozilla-central-macosx-debug/build/content/events/src/nsEventDispatcher.cpp, line 485
nsEventDispatcher::Dispatch(nsISupports*, nsPresContext*, nsEvent*, nsIDOMEvent*, nsEventStatus*, nsDispatchingCallback*, nsCOMArray<nsPIDOMEventTarget>*) (respcmn.c:43)
nsEventDispatcher::DispatchDOMEvent(nsISupports*, nsEvent*, nsIDOMEvent*, nsPresContext*, nsEventStatus*) (respcmn.c:43)
nsEventListenerManager::DispatchEvent(nsIDOMEvent*, int*) (respcmn.c:43)
nsDOMEventRTTearoff::DispatchEvent(nsIDOMEvent*, int*) (respcmn.c:43)
_ZL31nsIDOMEventTarget_DispatchEventP9JSContextjPl (respcmn.c:43)
}
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1263419843.1263421678.5354.gz
Linux mozilla-central leak test build on 2010/01/13 13:57:23
s: moz2-linux-slave21

GetMIMEDescription() returned "application/x-print-unix-nsplugin:.pnt:Demo Print Plugin for Unix/Linux"
LoadPlugin() /builds/slave/mozilla-central-linux-debug/build/obj-firefox/modules/plugin/test/testplugin/libnptest.so returned af20240
GetMIMEDescription() returned "application/x-test:tst:Test mimetype"
++DOMWINDOW == 15 (0xb5e7878) [serial = 15] [outer = 0xae925d8]
--DOMWINDOW == 14 (0xad8cee8) [serial = 10] [outer = 0xa966638] [url = about:blank]
--DOMWINDOW == 13 (0xa0bed30) [serial = 13] [outer = 0xae925d8] [url = about:blank]
--DOMWINDOW == 12 (0xaf1b160) [serial = 14] [outer = 0xae925d8] [url = http://www.mozilla.org/]
^G###!!! ASSERTION: This is unsafe!: 'Error', file /builds/slave/mozilla-central-linux-debug/build/content/events/src/nsEventDispatcher.cpp, line 485
nsEventDispatcher::Dispatch(nsISupports*, nsPresContext*, nsEvent*, nsIDOMEvent*, nsEventStatus*, nsDispatchingCallback*, nsCOMArray&lt;nsPIDOMEventTarget>*) (/builds/slave/mozilla-central-linux-debug/build/content/events/src/nsEventDispatcher.cpp:489)
nsEventDispatcher::DispatchDOMEvent(nsISupports*, nsEvent*, nsIDOMEvent*, nsPresContext*, nsEventStatus*) (/builds/slave/mozilla-central-linux-debug/build/content/events/src/nsEventDispatcher.cpp:0)
nsEventListenerManager::DispatchEvent(nsIDOMEvent*, int*) (/builds/slave/mozilla-central-linux-debug/build/content/events/src/nsEventListenerManager.cpp:1299)
nsDOMEventRTTearoff::DispatchEvent(nsIDOMEvent*, int*) (/builds/slave/mozilla-central-linux-debug/build/content/base/src/nsGenericElement.cpp:1620)
_ZL31nsIDOMEventTarget_DispatchEventP9JSContextjPi (/builds/slave/mozilla-central-linux-debug/build/obj-firefox/js/src/xpconnect/src/dom_quickstubs.cpp:10172)
js_Interpret (/builds/slave/mozilla-central-linux-debug/build/js/src/jsscript.h:0)
js_Invoke (/builds/slave/mozilla-central-linux-debug/build/js/src/jsinterp.cpp:1384)
js_InternalInvoke (/builds/slave/mozilla-central-linux-debug/build/js/src/jsinterp.cpp:1439)
js_InternalGetOrSet (/builds/slave/mozilla-central-linux-debug/build/js/src/jsinterp.cpp:1476)
JSScopeProperty::set(JSContext*, JSObject*, int*) (/builds/slave/mozilla-central-linux-debug/build/js/src/jsscope.h:857)
js_SetPropertyHelper (/builds/slave/mozilla-central-linux-debug/build/js/src/jsobj.cpp:5405)
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1263419843.1263421671.5217.gz
OS X 10.5.2 mozilla-central leak test build on 2010/01/13 13:57:23
s: moz2-darwin9-slave12

[loaded plugin /builds/slave/mozilla-central-macosx-debug/build/obj-firefox/dist/MinefieldDebug.app/Contents/MacOS/plugins/Test.plugin]
[loaded plugin /builds/slave/mozilla-central-macosx-debug/build/obj-firefox/modules/plugin/default/mac/build/Debug/DefaultPlugin.plugin]
WARNING: Preventing load of VerifiedDownloadPlugin.plugin (see bug 436575): file /builds/slave/mozilla-central-macosx-debug/build/modules/plugin/base/src/nsPluginsDirDarwin.cpp, line 139
[loaded plugin /Library/Internet Plug-Ins/Flash Player.plugin]
[loaded plugin /Library/Internet Plug-Ins/QuickTime Plugin.plugin]
++DOMWINDOW == 15 (0x9c883e0) [serial = 15] [outer = 0xf0c42b0]
^G###!!! ASSERTION: This is unsafe!: 'Error', file /builds/slave/mozilla-central-macosx-debug/build/content/events/src/nsEventDispatcher.cpp, line 485
nsEventDispatcher::Dispatch(nsISupports*, nsPresContext*, nsEvent*, nsIDOMEvent*, nsEventStatus*, nsDispatchingCallback*, nsCOMArray&lt;nsPIDOMEventTarget>*) (respcmn.c:44)
nsEventDispatcher::DispatchDOMEvent(nsISupports*, nsEvent*, nsIDOMEvent*, nsPresContext*, nsEventStatus*) (respcmn.c:44)
nsEventListenerManager::DispatchEvent(nsIDOMEvent*, int*) (respcmn.c:44)
nsDOMEventRTTearoff::DispatchEvent(nsIDOMEvent*, int*) (respcmn.c:44)
_ZL31nsIDOMEventTarget_DispatchEventP9JSContextjPl (respcmn.c:44)
js_Interpret (/builds/slave/mozilla-central-macosx-debug/build/obj-firefox/js/src/jsautokw.h:)
js_Invoke (/builds/slave/mozilla-central-macosx-debug/build/obj-firefox/js/src/jsautokw.h:)
js_InternalInvoke (/builds/slave/mozilla-central-macosx-debug/build/obj-firefox/js/src/jsautokw.h:)
js_InternalGetOrSet (/builds/slave/mozilla-central-macosx-debug/build/obj-firefox/js/src/jsautokw.h:)
JSScopeProperty::set(JSContext*, JSObject*, long*) (/builds/slave/mozilla-central-macosx-debug/build/obj-firefox/js/src/jsautokw.h:)
js_SetPropertyHelper (/builds/slave/mozilla-central-macosx-debug/build/obj-firefox/js/src/jsautokw.h:)
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1265065170.1265068318.22051.gz&fulltext=1
OS X 10.5.2 mozilla-central leak test build on 2010/02/01 14:59:30
s: bm-xserve12
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1265161693.1265167565.16803.gz
OS X 10.5.2 mozilla-central leak test build on 2010/02/02 17:48:13
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1266659416.1266660248.24608.gz
OS X 10.5.2 mozilla-central leak test build on 2010/02/20 01:50:16  
s: bm-xserve12
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1266701634.1266703168.4933.gz&fulltext=1
Linux comm-central-trunk leak test build on 2010/02/20 13:33:54
{
++DOMWINDOW == 23 (0xb8e87d8) [serial = 23] [outer = 0xb77dc80]
Document http://localhost:8888/bloatcycle.html loaded successfully
--DOMWINDOW == 22 (0xb338580) [serial = 12] [outer = 0xadd3ef0] [url = about:blank]
WARNING: NS_ENSURE_TRUE(mMutable) failed: file /builds/slave/comm-central-trunk-linux-debug/build/mozilla/netwerk/base/src/nsSimpleURI.cpp, line 224
Document about:blank loaded successfully
++DOMWINDOW == 23 (0x99e3778) [serial = 24] [outer = 0xb77dc80]
LoadPlugin() /builds/slave/comm-central-trunk-linux-debug/build/objdir/mozilla/modules/plugin/default/unix/libnullplugin.so returned b795a78
GetMIMEDescription() returned "*:.*:All types"
LoadPlugin() /builds/slave/comm-central-trunk-linux-debug/build/objdir/mozilla/modules/plugin/sdk/samples/unixprinting/libunixprintplugin.so returned ba85da8
GetMIMEDescription() returned "application/x-print-unix-nsplugin:.pnt:Demo Print Plugin for Unix/Linux"
LoadPlugin() /builds/slave/comm-central-trunk-linux-debug/build/objdir/mozilla/modules/plugin/test/testplugin/libnptest.so returned ba69440
GetMIMEDescription() returned "application/x-test:tst:Test mimetype"
Error loading URL http://www.mozilla.org/ : 804b0002 (NS_BINDING_ABORTED)
++DOMWINDOW == 24 (0xbdfcbe0) [serial = 25] [outer = 0xb77dc80]
Error loading URL http://www.mozilla.org/ : 804b0002 (NS_BINDING_ABORTED)
###!!! ASSERTION: This is unsafe!: 'Error', file /builds/slave/comm-central-trunk-linux-debug/build/mozilla/content/events/src/nsEventDispatcher.cpp, line 486
nsEventDispatcher::Dispatch(nsISupports*, nsPresContext*, nsEvent*, nsIDOMEvent*, nsEventStatus*, nsDispatchingCallback*, nsCOMArray<nsPIDOMEventTarget>*) (/builds/slave/comm-central-trunk-linux-debug/build/mozilla/content/events/src/nsEventDispatcher.cpp:490)
nsEventDispatcher::DispatchDOMEvent(nsISupports*, nsEvent*, nsIDOMEvent*, nsPresContext*, nsEventStatus*) (/builds/slave/comm-central-trunk-linux-debug/build/mozilla/content/events/src/nsEventDispatcher.cpp:0)
nsEventListenerManager::DispatchEvent(nsIDOMEvent*, int*) (/builds/slave/comm-central-trunk-linux-debug/build/mozilla/content/events/src/nsEventListenerManager.cpp:1299)
nsDOMEventRTTearoff::DispatchEvent(nsIDOMEvent*, int*) (/builds/slave/comm-central-trunk-linux-debug/build/mozilla/content/base/src/nsGenericElement.cpp:1622)
_ZL31nsIDOMEventTarget_DispatchEventP9JSContextjPi (/builds/slave/comm-central-trunk-linux-debug/build/objdir/mozilla/js/src/xpconnect/src/dom_quickstubs.cpp:10843)
js_Interpret (/builds/slave/comm-central-trunk-linux-debug/build/mozilla/js/src/jsscript.h:0)
js_Invoke (/builds/slave/comm-central-trunk-linux-debug/build/mozilla/js/src/jsinterp.cpp:1396)
js_InternalInvoke (/builds/slave/comm-central-trunk-linux-debug/build/mozilla/js/src/jsinterp.cpp:1453)
js_InternalGetOrSet (/builds/slave/comm-central-trunk-linux-debug/build/mozilla/js/src/jsinterp.cpp:1490)
JSScopeProperty::set(JSContext*, JSObject*, int*) (/builds/slave/comm-central-trunk-linux-debug/build/mozilla/js/src/jsscope.h:860)
js_NativeSet (/builds/slave/comm-central-trunk-linux-debug/build/mozilla/js/src/jsobj.cpp:5079)
js_Interpret (/builds/slave/comm-central-trunk-linux-debug/build/mozilla/js/src/jsscript.h:0)
[...]
}
Severity: normal → major
Keywords: crash
OS: Mac OS X → All
Summary: Crash on 10.5.2 mozilla-central leak test build tinderbox, with "ASSERTION: This is unsafe!: 'Error'" → leak test build: intermittent "ASSERTION: This is unsafe!: 'Error', file .../nsEventDispatcher.cpp, line 486"
Blocks: 531176
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1267305509.1267308419.31355.gz
OS X 10.5 comm-central-trunk leak test build on 2010/02/27 13:18:29
Whiteboard: [orange] → [orange] [test which aborts the suite]
blocking2.0: --- → ?
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1267338329.1267339330.13136.gz
Linux x86-64 mozilla-central leak test build on 2010/02/27 22:25:29
s: moz2-linux64-slave06
Hardware: x86 → All
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1267369391.1267370796.16648.gz
Linux mozilla-central leak test build on 2010/02/28 07:03:11
s: moz2-linux-slave25
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1267399886.1267401882.5213.gz
Linux mozilla-central leak test build on 2010/02/28 15:31:26
s: moz2-linux-slave25
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1267472249.1267475260.25289.gz
OS X 10.5.2 mozilla-central leak test build on 2010/03/01 11:37:29
s: bm-xserve17
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1267619221.1267624637.18638.gz&fulltext=1
Linux mozilla-central leak test build on 2010/03/03 04:27:01
s: moz2-linux-slave10
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1267650100.1267652014.20381.gz&fulltext=1
Linux mozilla-central leak test build on 2010/03/03 13:01:40
s: moz2-linux-slave24
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1267679333.1267684342.22095.gz
Linux x86-64 mozilla-central leak test build on 2010/03/03 21:08:53
s: moz2-linux64-slave07
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1267723187.1267723942.13254.gz&fulltext=1
OS X 10.5.2 mozilla-central leak test build on 2010/03/04 09:19:47
s: bm-xserve18
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1267727492.1267729712.3855.gz&fulltext=1
OS X 10.5.2 mozilla-central leak test build on 2010/03/04 10:31:32
s: bm-xserve19
Assignee: nobody → Olli.Pettay
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1267770848.1267774865.16515.gz&fulltext=1
Linux mozilla-central leak test build on 2010/03/04 22:34:08
s: moz2-linux-slave14
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1267771591.1267774108.14258.gz&fulltext=1
Linux mozilla-central leak test build on 2010/03/04 22:46:31
s: moz2-linux-slave21
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268095908.1268098584.32421.gz
Linux x86-64 mozilla-central leak test build on 2010/03/08 16:51:48
s: moz2-linux64-slave07
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268105114.1268105994.16573.gz&fulltext=1

s: bm-xserve07 mozilla-central leak test build (debug) on 2010/03/08 19:22:14
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268109916.1268111335.27522.gz
Linux x86-64 mozilla-central leak test build on 2010/03/08 20:45:16
s: moz2-linux64-slave03
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268152898.1268156728.15997.gz
Linux x86-64 mozilla-central leak test build on 2010/03/09 08:41:38
s: moz2-linux64-slave03
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268168829.1268171692.26479.gz
Linux mozilla-central leak test build on 2010/03/09 13:07:09
s: moz2-linux-slave06
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268193078.1268198557.1262.gz
Linux mozilla-central leak test build on 2010/03/09 19:51:18
s: moz2-linux-slave13
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268234299.1268238453.25054.gz
Linux x86-64 mozilla-central leak test build on 2010/03/10 07:18:19
s: moz2-linux64-slave03
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268287417.1268290350.11357.gz
Linux x86-64 mozilla-central leak test build on 2010/03/10 22:03:37
s: moz2-linux64-slave06
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268378104.1268382376.3284.gz
Linux x86-64 mozilla-central leak test build on 2010/03/11 23:15:04
s: moz2-linux64-slave06
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268398478.1268400330.27485.gz
Linux x86-64 mozilla-central leak test build on 2010/03/12 04:54:38
s: moz2-linux64-slave03
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268435764.1268441456.22180.gz
Linux x68 mozilla-central debug build on 2010/03/12 16:51:00
s: moz2-linux-slave14
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268491572.1268492825.4340.gz
Linux x86-64 mozilla-central leak test build on 2010/03/13 06:46:12
s: moz2-linux64-slave04
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268505510.1268506706.14990.gz
Linux x86-64 mozilla-central leak test (debug) build on 2010/03/13 at 10:35:23
s: moz2-linux64-slave04
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268506896.1268507973.17863.gz
Linux x86-64 mozilla-central leak test build on 2010/03/13 11:01:36
s: moz2-linux64-slave08
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268510492.1268511684.27016.gz
Linux -x86-64 mozilla-central leak test build on 2010/03/13 11:57:54
s: moz2-linux64-slave04
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268521234.1268525295.25850.gz
Linux x86-64 mozilla-central leak test build on 2010/03/13 15:00:34
s: moz2-linux64-slave06
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268522240.1268524904.25005.gz
Linux mozilla-central leak test build on 2010/03/13 15:17:20
s: moz2-linux-slave08
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268574592.1268576392.15245.gz
Linux mozilla-central leak test build on 2010/03/14 06:49:52
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268588064.1268589531.17083.gz
Linux mozilla-central leak test build on 2010/03/14 10:34:24
s: moz2-linux-slave10
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268598618.1268603847.17725.gz
Linux mozilla-central leak test build on 2010/03/14 13:30:18
s: moz2-linux-slave08
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268615266.1268615724.17762.gz
Linux x86-64 mozilla-central leak test build on 2010/03/14 18:07:46
s: moz2-linux64-slave01
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268654594.1268659097.7558.gz
Linux x86-64 mozilla-central leak test build on 2010/03/15 05:03:14
s: moz2-linux64-slave01
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268693799.1268694525.16465.gz
Linux x86-64 mozilla-central leak test build on 2010/03/15 15:56:39
s: moz2-linux64-slave04
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268693799.1268694525.16465.gz
Linux x86-64 mozilla-central leak test build on 2010/03/15 15:56:39
s: moz2-linux64-slave04
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268761568.1268765456.9933.gz
Linux x86-64 mozilla-central leak test build on 2010/03/16 10:46:08
s: moz2-linux64-slave06
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268780874.1268782642.25352.gz
Linux mozilla-central leak test build on 2010/03/16 16:07:54
s: moz2-linux-slave22
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268781822.1268786087.1955.gz
Linux mozilla-central leak test build on 2010/03/16 16:23:42
s: moz2-linux-slave06
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268782817.1268787549.5476.gz
Linux mozilla-central leak test build on 2010/03/16 16:40:17  
s: moz2-linux-slave22
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268806143.1268807795.20641.gz
Linux mozilla-central leak test build on 2010/03/16 23:09:03
s: moz2-linux-slave06
This should be enough for this, I hope.
The actual bug seems to be libpr0n notifying synchronously - that is a known bug.
Attachment #433025 - Flags: review?(jonas)
nsBrowserStatusFilter can be probably changed a bit too, to hack around
libpr0n problems. But different bug, I think.
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268914675.1268916174.22869.gz
Linux mozilla-central leak test build on 2010/03/18 05:17:55
s: moz2-linux-slave08
Comment on attachment 433025 [details] [diff] [review]
patch
[Checkin: Comment 62]

Please make a comment in the libpr0n bug to reverse this once that bug is fixed
Attachment #433025 - Flags: review?(jonas) → review+
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268951353.1268955220.17017.gz
Linux x86-64 mozilla-central leak test build on 2010/03/18 15:29:13
s: moz2-linux64-slave01
Doesn't seem like this blocks based on the patch.
blocking2.0: ? → -
Comment on attachment 433025 [details] [diff] [review]
patch
[Checkin: Comment 62]


http://hg.mozilla.org/mozilla-central/rev/ebfe0dc025da
Attachment #433025 - Attachment description: patch → patch [Checkin: Comment 62]
Which is the corresponding libpr0n bug?
Marking this fixed. If the assertion still shows up, better to file a new bug.
Status: NEW → RESOLVED
Closed: 10 years ago
Resolution: --- → FIXED
Whiteboard: [orange] [test which aborts the suite] → [test which aborts the suite]
You need to log in before you can comment on or make changes to this bug.